curl --request GET \
--url https://api.edges.run/v1/runs/{run_uid}/inputs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/{run_uid}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/{run_uid}/inputs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"input_data": {},
"custom_data": {},
"last_error": {
"has_failed": true,
"message": "<string>",
"scope": "input",
"label": "<string>",
"error_ref": "<string>",
"params": {},
"validation_errors": {}
},
"last_info": {
"has_failed": true,
"message": "<string>",
"scope": "input",
"label": "<string>",
"error_ref": "<string>",
"params": {},
"validation_errors": {}
},
"output_count": 123,
"retry_count": 123,
"started_at": "<string>",
"finished_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Get Run Inputs
Retrieve the inputs submitted to a run and the per-input status, to see which succeeded and which failed.
curl --request GET \
--url https://api.edges.run/v1/runs/{run_uid}/inputs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/{run_uid}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/{run_uid}/inputs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"input_data": {},
"custom_data": {},
"last_error": {
"has_failed": true,
"message": "<string>",
"scope": "input",
"label": "<string>",
"error_ref": "<string>",
"params": {},
"validation_errors": {}
},
"last_info": {
"has_failed": true,
"message": "<string>",
"scope": "input",
"label": "<string>",
"error_ref": "<string>",
"params": {},
"validation_errors": {}
},
"output_count": 123,
"retry_count": 123,
"started_at": "<string>",
"finished_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}uid is used for all the endpoints and Run manipulation.The id is an internal identifier returned to smooth and improve speed and accuracy if you have questions about your runs you will want
to submit to the team.Overview
TheGET /runs/{run_uid}/inputs endpoint returns the complete list of inputs associated with a run, including their execution status and any associated errors. This endpoint is essential for recovering detailed input-level results and errors, especially when webhook callbacks are missed or need to be verified.
Pagination
This endpoint uses cursor-based pagination by default. Follow theX-Pagination-Next response header to retrieve subsequent pages.
limitcontrols the page size (default: 100, max: 500).- The
X-Pagination-Nextheader contains the full URL for the next page, includinglimitandcursor. - When the
X-Pagination-Nextheader is absent, there are no more pages.
offset parameter is deprecated. If provided, the system falls back to offset-based pagination and cursor pagination is not used. Prefer following the X-Pagination-Next URL for all new integrations.Authorizations
Path Parameters
Run UUID
Query Parameters
Number of inputs to return
1 <= x <= 500(deprecated) Number of inputs to skip for pagination
x >= 0(optional) Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. If not provided, the first page will be returned.
Response
Returns the run inputs
Unique identifier for the input.
Current status of the input.
CREATED, QUEUED, SCHEDULED, RUNNING, BLOCKED, FAILED, SUCCEEDED, STOPPED Input payload.
Custom metadata or additional information.
Information about the last execution attempt.
Show child attributes
Show child attributes
Information about the last execution attempt.
Show child attributes
Show child attributes
Number of outputs generated by the input.
Number of retry attempts for the input.
Timestamp when the input started.
Timestamp when the input finished.
Timestamp when the input was created.
Timestamp when the input was last updated.

